I have a baseband version that can't be unlocked, but I need an unlock.

If you have an iPhone 3G or 3GS and baseband version 5.14.02 or 5.15.04 you can install the baseband of the iPad 3G (version 6.15.00) on it. This is not recommended, as many users have reported that they lost their GPS functionality and there is no way back. You will also lose your warranty. But if it is more important for you to have an unlock than to have GPS, then you might give this a try.
last edit: 2011-01-06

Most frequently read after this
Most read articles overall
Recently added or changed
Keywords
 iPhoneiPod touchiPodiPad
 Apple TV 2GjailbreakunlockiOS 4.2.1
 Jailbreak FAQJailbreak F.A.Q.iPhone 3GApple
 mobile phonefirmwareiPhone 4iPhone 3GS
 howservicedfusim
 whatsaysmodecarrier
 recoverybasebandlockedmodel